function init () {
	divImgPopUp();
}


//  Requires:
//  Suffix _big for the popup img  and   PopUp and Button PopUp  with id = 100
//  <div data-img-zoom  data-src="img/image.png"> <div class="stack"> Apa </div> </div>
//  class="no-style" for no decoration  and  for no pop-up use attribute:  data-no-zoom, 
//  use attribute  data-no-lock for disable lock images  (useful in drag and drop)  
function divImgPopUp(){
    var divImages = $('div[data-img-zoom]');
    var btPopUp = $('[data-sg-id="btn-popup"][data-sg-key="100"]');
    var popUp = $('[data-sg-id="item-popup"][data-sg-key="100"]');
    var MAX_WIDTH_IMG = 900;
    var MAX_HEIGHT_IMG = 550;
    var contAspectRatio = MAX_WIDTH_IMG / MAX_HEIGHT_IMG;

     divImages.each(function(index){

         var divApa = $(this).find('div.stack');
         var imgSrc = $(this).attr("data-src");
         var attrZoom = $(this).attr("data-no-zoom");
         var attrLock = $(this).attr("data-no-lock");

         // Create an image in the container 

         var myImg = $("<img src='" + imgSrc + "' />").appendTo($(this));

         // Lock images 

         if( typeof divApa  !== typeof undefined && divApa !== false) {
             var heightStack = divApa.outerHeight();
             divApa.css({'position': 'absolute', 'height': heightStack,  'bottom': -heightStack })
         }

         if( typeof attrLock  == typeof undefined ) { // Lock images for default
             $(myImg).on('mousedown', function(){return false});
         }

         //End Create Img

         if( typeof attrZoom  === typeof undefined ){ 
             // POP UP 
             var myZoom = $("<div class='zoomImg'></div>").appendTo($(this));
             myZoom.on('click', function(){
                 var content=popUp.find('#imgContainer');
                 content.html(''); //Clear any prev content
                 var baseName =  imgSrc.substr(0, imgSrc.lastIndexOf('.')) || input;
                 var fileExt = imgSrc.split('.').pop();
                 var big = baseName+"_big."+fileExt;
                 var popUpImgContainer = $('<img id="imgContainer">'); 
                 var heightApa = 0;

                 popUpImgContainer.attr("src",big).load(function(){

                     var width = this.width; 
                     var height = this.height;


                     // Lock Img big 
                     $(this).on('mousedown', function(){return false});

                     if(width > MAX_WIDTH_IMG){
                         ratio = MAX_WIDTH_IMG / width;        // get ratio for scaling image
                         $(this).css("width", MAX_WIDTH_IMG);  // Set new width
                         $(this).css("height", height * ratio);   // Scale height based on ratio
                         height = height * ratio;                 // Reset height to match scaled image
                         width = width * ratio;                   // Reset width to match scaled image
                     }

                     // Check if current height is larger than max
                     if(height > MAX_HEIGHT_IMG){
                         ratio = MAX_HEIGHT_IMG / height; // get ratio for scaling image
                         $(this).css("height", MAX_HEIGHT_IMG);   // Set new height
                         $(this).css("width", width * ratio);    // Scale width based on ratio
                         width = width * ratio;    // Reset width to match scaled image
                     }

                     $(this).css({'display': 'block' , 'margin': 'auto'});

                     popUpImgContainer.appendTo(content);  // ADDS the magic!! 

                     btPopUp.trigger('click'); // Activate pop up 

                 }); // End Load

             });
         }
     });
} // Fin Img Pop Up 

function Validar (n) 
{
    if (n == 1)
    {
        var CapturaValor = $('.ri1').val().toLowerCase();
        var CapturaValor2 = $('.ri2').val().toLowerCase();
        var CapturaValor3 = $('.sup1').val().toLowerCase();

        if (CapturaValor == "4x" && CapturaValor2 == "2x" && CapturaValor3 == "2")
        {
            $('.ri1').removeClass('mal').addClass('bien');
            $('.ri2').removeClass('mal').addClass('bien');
            $('.sup1').removeClass('mal').addClass('bien');
            sg.sound('success');
            $("[data-sg-key='"+n+"']").trigger('click');
        }
        else
        {
            $('.ri1').addClass('mal');
            $('.ri2').addClass('mal');
            $('.sup1').addClass('mal');
            sg.sound('error');

        }

    }

    if (n == 2)
    {
        var CapturaValor = $('.ri3').val().toLowerCase();
        var CapturaValor2 = $('.ri4').val().toLowerCase();
        var CapturaValor3 = $('.sup2').val().toLowerCase();

        if (CapturaValor == "64x" && CapturaValor2 == "32x" && CapturaValor3 == "2")
        {
            $('.ri3').removeClass('mal').addClass('bien');
            $('.ri4').removeClass('mal').addClass('bien');
            $('.sup2').removeClass('mal').addClass('bien');
            sg.sound('success');
            $("[data-sg-key='"+n+"']").trigger('click');
        }
        else
        {
            $('.ri3').addClass('mal');
            $('.ri4').addClass('mal');
            $('.sup2').addClass('mal');
            sg.sound('error');

        }

    }

    if (n == 3)
    {
        var CapturaValor = $('.ri5').val().toLowerCase();
        var CapturaValor2 = $('.ri6').val().toLowerCase();
        var CapturaValor3 = $('.sup3').val().toLowerCase();

        if (CapturaValor == "256x" && CapturaValor2 == "128x" && CapturaValor3 == "2")
        {
            $('.ri5').removeClass('mal').addClass('bien');
            $('.ri6').removeClass('mal').addClass('bien');
            $('.sup3').removeClass('mal').addClass('bien');
            sg.sound('success');
            $("[data-sg-key='"+n+"']").trigger('click');
        }
        else
        {
            $('.ri5').addClass('mal');
            $('.ri6').addClass('mal');
            $('.sup3').addClass('mal');
            sg.sound('error');

        }

    }
}