function init () {
	divImgPopUp();
    initBtnGroup();
}


//  Requires:
//  Suffix _big for the popup img  and   PopUp and Button PopUp  with id = 100
//  <div data-img-zoom  data-src="img/image.png"> <div class="stack"> Apa </div> </div>
//  class="no-style" for no decoration  and  for no pop-up use attribute:  data-no-zoom, 
//  use attribute  data-no-lock for disable lock images  (useful in drag and drop)  
function divImgPopUp(){
    var divImages = $('div[data-img-zoom]');
    var btPopUp = $('[data-sg-id="btn-popup"][data-sg-key="100"]');
    var popUp = $('[data-sg-id="item-popup"][data-sg-key="100"]');
    var MAX_WIDTH_IMG = 900;
    var MAX_HEIGHT_IMG = 550;
    var contAspectRatio = MAX_WIDTH_IMG / MAX_HEIGHT_IMG;

     divImages.each(function(index){

         var divApa = $(this).find('div.stack');
         var imgSrc = $(this).attr("data-src");
         var attrZoom = $(this).attr("data-no-zoom");
         var attrLock = $(this).attr("data-no-lock");

         // Create an image in the container 

         var myImg = $("<img src='" + imgSrc + "' />").appendTo($(this));

         // Lock images 

         if( typeof divApa  !== typeof undefined && divApa !== false) {
             var heightStack = divApa.outerHeight();
             divApa.css({'position': 'absolute', 'height': heightStack,  'bottom': -heightStack })
         }

         if( typeof attrLock  == typeof undefined ) { // Lock images for default
             $(myImg).on('mousedown', function(){return false});
         }

         //End Create Img

         if( typeof attrZoom  === typeof undefined ){ 
             // POP UP 
             var myZoom = $("<div class='zoomImg'></div>").appendTo($(this));
             myZoom.on('click', function(){
                 var content=popUp.find('#imgContainer');
                 content.html(''); //Clear any prev content
                 var baseName =  imgSrc.substr(0, imgSrc.lastIndexOf('.')) || input;
                 var fileExt = imgSrc.split('.').pop();
                 var big = baseName+"_big."+fileExt;
                 var popUpImgContainer = $('<img id="imgContainer">'); 
                 var heightApa = 0;

                 popUpImgContainer.attr("src",big).load(function(){

                     var width = this.width; 
                     var height = this.height;


                     // Lock Img big 
                     $(this).on('mousedown', function(){return false});

                     if(width > MAX_WIDTH_IMG){
                         ratio = MAX_WIDTH_IMG / width;        // get ratio for scaling image
                         $(this).css("width", MAX_WIDTH_IMG);  // Set new width
                         $(this).css("height", height * ratio);   // Scale height based on ratio
                         height = height * ratio;                 // Reset height to match scaled image
                         width = width * ratio;                   // Reset width to match scaled image
                     }

                     // Check if current height is larger than max
                     if(height > MAX_HEIGHT_IMG){
                         ratio = MAX_HEIGHT_IMG / height; // get ratio for scaling image
                         $(this).css("height", MAX_HEIGHT_IMG);   // Set new height
                         $(this).css("width", width * ratio);    // Scale width based on ratio
                         width = width * ratio;    // Reset width to match scaled image
                     }

                     $(this).css({'display': 'block' , 'margin': 'auto'});

                     popUpImgContainer.appendTo(content);  // ADDS the magic!! 

                     btPopUp.trigger('click'); // Activate pop up 

                 }); // End Load

             });
         }
     });
} // Fin Img Pop Up 

function initBtnGroup(){
    var btn = $('[btn-group]');
    $("[class*='cont-h']").css("display","none");
    $.each(btn,function(){
        console.log(this);
        $(this).click(function(){
            var idBtnClick = $(this).attr('btn-id');
            $(this).addClass("selected");
            $('.cont-h'+ $(this).attr('btn-id')).effect('slide').css('display','block');sg.sound('success-low');
            var btnGrupo = $('[btn-group ='+$(this).attr('btn-group')+']');
            btnGrupo.each(function() {
                var idBtn = $(this).attr('btn-id');
                if(idBtn!=idBtnClick){
                    $('.cont-h'+idBtn).css("display","none");
                    $(this).removeClass("selected");
                }                       
            });
        });
    });
}

function validador(n){

    if (n == 1) {
        var calificador = 0;

        var sup1 = $('.sup1').val();
        if (sup1 == 3) {
            calificador++;
        }
        else{
            $('.sup1').val('');
        }

        var sup2 = $('.sup2').val();

        if (sup2 == 2) {
            calificador++;
        }
        else{
            $('.sup2').val('');
        }


        var ip1 = $('.ip1').val().toLowerCase();
        if (ip1 == "6x") {
            calificador++;
        }
        else{
            $('.ip1').val('');
        }

        var ip2 = $('.ip2').val().toLowerCase();
        if (ip2 == "2x") {
            calificador++;
        }
        else{
            $('.ip2').val('');
        }

        if (calificador == 4) {
            sg.sound('success');
        }  
        else{
            sg.sound('error');
        }     

    }

    if( n == 2){
        var calificador = 0;

        

        var ip3 = $('.ip3').val();

        if (ip3 == "1368") {
            calificador++;
        }
        else{
            $('.ip3').val('');
        }

        if (calificador == 1) {
            sg.sound('success');
        }
        else{
            sg.sound('error');
        }
    }

    if (n == 3) {
        var calificador = 0;

        
        var ip4 = $('.ip4').val().toLowerCase();


        if (ip4 == "416") {
            calificador++;
        }
        else{

            $('.ip4').val('');
        }

        if (calificador == 1) {
            sg.sound('success');
        }
        else{
            sg.sound('error');
        }
    }

    if (n == 4) {
        var ip5 = $('.ip5').val().toLowerCase();
        var ip51 = $('.ip5-1').val().toLowerCase();

        var calificador = 0;

        if (ip5 == "12") {
            calificador++;
        }
        else{
            $('.ip5').val('');
        }

        if (ip51 == "4") {
            calificador++;
        }else{
            $('.ip5-1').val('');
        }

        if (calificador == 2) {
            sg.sound('success');
        }
        else{
            sg.sound('error');
        }
    }

    if (n==5) {
        var ip6 = $('.ip6').val().toLowerCase();
        console.log(ip6);
        var calificador = 0;



        if (ip6 == "48") {
            calificador++;
        }
        else{
            $('.ip6').val('');
        }

      

        if (calificador == 1) {
            sg.sound('success');
        }
        else{
            sg.sound('error');
        }
    }

    if (n==6)
    {  

        var r = repetidos();

        if (r == 0)
        {
            var capturarValor;
            var aux1, contAux1;
            var aux2, contAux2;
            var aux3, contAux3;
            var numero = 48;
            var sonido = 0;

            for (var i = 0; i <= 5; i++)
            {
                capturarValor = $('.ipu'+i).val();
                console.log(capturarValor);

                if (capturarValor != 24 && capturarValor != 2) 
                {
                    if (i != 0)
                    {
                        if (i == 1)
                        {
                            if (capturarValor * aux1 == numero)
                            {

                                $('.ipu'+i).removeClass('mal').addClass('bien');
                                $('.ipu'+contAux1).removeClass('mal').addClass('bien');
                                sonido++;
                            }
                            else
                            {
                                $('.ipu'+i).addClass('mal');
                                $('.ipu'+contAux1).addClass('mal');
                            }
                        }
                        if (i == 3)
                        {
                            if (capturarValor * aux2 == numero)
                            {
                                $('.ipu'+i).removeClass('mal').addClass('bien');
                                $('.ipu'+contAux2).removeClass('mal').addClass('bien');
                                sonido++;
                            }
                            else
                            {
                                $('.ipu'+i).addClass('mal');
                                $('.ipu'+contAux2).addClass('mal');
                            }   
                        }
                        if (i == 5)
                        {
                            if (capturarValor * aux3 == numero)
                            {
                                $('.ipu'+i).removeClass('mal').addClass('bien');
                                $('.ipu'+contAux3).removeClass('mal').addClass('bien');
                                sonido++;
                            }
                            else
                            {
                                $('.ipu'+i).addClass('mal');
                                $('.ipu'+contAux3).addClass('mal');
                            }
                        }
                    }
                    
                    switch (i)
                    {
                        case 0:
                            aux1 = capturarValor;
                            contAux1 = i;
                        break;

                        case 2:
                            aux2 = capturarValor;
                            contAux2 = i;
                        break;

                        case 4:
                            aux3 = capturarValor
                            contAux3 = i;
                        break;
                    }
                }
                else{
                    $('.ipu'+i).addClass('mal');   
                }
            }
        }
        else
        {
            sg.sound('error');
            $('.inputCajitas').each(function(){
                $(this).addClass('mal');
            });
        }

        if (sonido == 3){
            sg.sound('success');
            $("[data-sg-key='7']").trigger('click');
        }
        else
        {
            sg.sound('error');
        }
    }
}

function repetidos (){

    var valores = new Array(5);
    var i = 0;
    var j;
    var retorno = 0;

    $('.inputCajitas').each(function(){
        valores[i] = $(this).val();
        if (valores[i] != 24 || valores[i] != 2)
        {
            if (i != 0)
            {
                j = i;
                while (j > 0)
                {
                    if (valores[j-1] == valores[j])
                    {
                        retorno = 1;
                        break;
                    }
                    j--;
                }
                
            }
        }
        else
        {
            retorno = 1;
        }
        i++;
    });

    return retorno;
}
